Bug 86145 - Pipeline statistic counter values for VF always 0
Summary: Pipeline statistic counter values for VF always 0
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: All All
: medium normal
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-11 11:23 UTC by Petri Latvala
Modified: 2014-11-14 08:49 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petri Latvala 2014-11-11 11:23:16 UTC
The performance counter values for VF part of the pipeline (IA_VERTICES_COUNT, IA_PRIMITIVES_COUNT) are always 0. Gathering of these counters should be explicitly enabled in VF_STATE.

According to the specs, the same should apply to *_INVOCATION_COUNT counters, but those come out fine.

As a workaround, INTEL_DEBUG=stats enables the gathering.
Comment 1 Ben Widawsky 2014-11-13 18:49:50 UTC
Should be fixed by:
commit f14a35f9dc932a7aff80134cacfef60e73320e89
Author: Ben Widawsky <benjamin.widawsky@intel.com>
Date:   Wed Nov 12 18:49:16 2014 -0800

    i965: Always enable VF statistics
Comment 2 Petri Latvala 2014-11-14 08:49:40 UTC
Tested, indeed fixed.


bug/show.html.tmpl processed on Jan 16, 2017 at 21:48:16.
(provided by the Example extension).